/*
Copyright (C) 2000-2010  Ministere de la culture et de la communication (France), AJLSM
See LICENCE file
*/
package fr.gouv.culture.sdx.search.lucene;

import org.apache.cocoon.xml.AbstractXMLPipe;
import org.xml.sax.Attributes;
import org.xml.sax.SAXException;

import fr.gouv.culture.sdx.framework.Framework;

/**
 * @author jlecren
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class XMLFieldFilter extends AbstractXMLPipe {
	public void startDocument() {
	}

	public void endDocument() {
	}

	public void startElement(String nsURI, String name, String qName, Attributes atts) throws SAXException{
		if ( !Framework.SDXNamespaceURI.equals(nsURI) )
			super.startElement(nsURI, name, qName, atts);
	}

	public void endElement(String nsURI, String name, String qName) throws SAXException{
		if ( !Framework.SDXNamespaceURI.equals(nsURI) )
			super.endElement(nsURI, name, qName);
	}
}
